package com.ym.zxhcsdk.listener;

public interface RewardVideoAdShowListener {

    /// <summary>
    /// 激励视频广告页面展示回调
    /// </summary>
    void OnAdShow();

    /// <summary>
    /// 激励视频广告奖励
    /// </summary>
    void OnRewardVerify();

    /// <summary>
    /// 激励视频广告信息点击回调
    /// </summary>
    void OnAdClicked();

    /// <summary>
    /// 激励视频广告播放完成回调
    /// </summary>
    void OnVideoCompleted();

    /// <summary>
    /// 激励视频广告播放页关闭回调
    /// </summary>
    void OnAdClosed();

    /// <summary>
    /// 激励视频广告各种错误信息回调
    /// </summary>
    void OnVideoError(String error);
    
}
